# -*- encoding: utf-8 -*-
# stub: smart_proxy_salt 5.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "smart_proxy_salt".freeze
  s.version = "5.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Michael Moll".freeze, "Stephen Benjamin".freeze]
  s.date = "2024-04-19"
  s.description = "This plug-in adds support for Salt to Foreman's Smart Proxy".freeze
  s.email = "foreman-dev@googlegroups.com".freeze
  s.executables = ["foreman-node".freeze]
  s.extra_rdoc_files = ["LICENSE".freeze, "README.md".freeze]
  s.files = ["LICENSE".freeze, "README.md".freeze, "bin/foreman-node".freeze, "bundler.d/salt.rb".freeze, "etc/foreman.conf.example".freeze, "etc/foreman.yaml.example".freeze, "lib/smart_proxy_salt.rb".freeze, "lib/smart_proxy_salt/api_request.rb".freeze, "lib/smart_proxy_salt/cli.rb".freeze, "lib/smart_proxy_salt/rest.rb".freeze, "lib/smart_proxy_salt/salt.rb".freeze, "lib/smart_proxy_salt/salt_api.rb".freeze, "lib/smart_proxy_salt/salt_http_config.ru".freeze, "lib/smart_proxy_salt/salt_runner.rb".freeze, "lib/smart_proxy_salt/salt_task_launcher.rb".freeze, "lib/smart_proxy_salt/version.rb".freeze, "salt/minion_auth/README.md".freeze, "salt/minion_auth/foreman_minion_auth.sls".freeze, "salt/minion_auth/master.snippet".freeze, "salt/minion_auth/srv/salt/_runners/foreman_file.py".freeze, "salt/minion_auth/srv/salt/_runners/foreman_https.py".freeze, "salt/report_upload/README.md".freeze, "salt/report_upload/foreman_report_upload.sls".freeze, "salt/report_upload/master.snippet".freeze, "salt/report_upload/srv/salt/_runners/foreman_report_upload.py".freeze, "sbin/upload-salt-reports".freeze, "settings.d/salt.saltfile.example".freeze, "settings.d/salt.yml.example".freeze]
  s.homepage = "https://github.com/theforeman/smart_proxy_salt".freeze
  s.licenses = ["GPL-3.0".freeze]
  s.required_ruby_version = Gem::Requirement.new([">= 2.7".freeze, "< 4".freeze])
  s.rubygems_version = "3.2.5".freeze
  s.summary = "SaltStack Plug-In for Foreman's Smart Proxy".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<smart_proxy_dynflow>.freeze, ["~> 0.5", ">= 0.5.0"])
  else
    s.add_dependency(%q<smart_proxy_dynflow>.freeze, ["~> 0.5", ">= 0.5.0"])
  end
end
